Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -9718,21 +16879,446 @@
 This information is found in Sanyo MP4 videos.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    Make                                 N
-     24    Model                                N
-     50    FNumber                              N
-     58    ExposureCompensation                 N
-    106    ISO                                  N
-    209    Software                             N
-    210    Software                             N
-    253    ThumbnailLength                      N
-    254    ThumbnailLength                      N
-    257    ThumbnailOffset                      N
-    258    ThumbnailOffset                      N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     24    Model                                no
+     50    FNumber                              no
+     58    ExposureCompensation                 no
+    106    ISO                                  no
+    209    Software                             no
+    210    Software                             no
+    241    Thumbnail                            Sanyo Thumbnail
+    242    Thumbnail                            Sanyo Thumbnail
+
+=head3 Sanyo Thumbnail Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    ThumbnailWidth                       no
+      2    ThumbnailHeight                      no
+      3    ThumbnailLength                      no
+      4    ThumbnailOffset                      no
+
+=head2 Samsung Tags
+
+Tags found in the binary "STMN" format maker notes written by a number of
+Samsung models.
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    MakerNoteVersion                     undef[8]
+      2    PreviewImageStart                    int32u*
+      3    PreviewImageLength                   int32u*
+     11    SamsungIFD                           Samsung IFD
+
+=head3 Samsung IFD Tags
+
+This is a standard-format IFD found in the maker notes of some Samsung
+models, except that the entry count is a 4-byte integer and the offsets are
+relative to the end of the IFD.  Currently, no tags in this IFD are known,
+so the Unknown (-u) or Verbose (-v) option must be used to see this
+information.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
+
+=head3 Samsung Type2 Tags
+
+Tags found in the EXIF-format maker notes of newer Samsung models.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0001   MakerNoteVersion                     undef[4]
+  0x0002   DeviceType                           int32u
+  0x0003   SamsungModelID                       int32u
+  0x0011   OrientationInfo                      Samsung OrientationInfo
+  0x0020   SmartAlbumColor                      int16u[2]
+  0x0021   PictureWizard                        Samsung PictureWizard
+  0x0030   LocalLocationName                    string
+  0x0031   LocationName                         string
+  0x0035   PreviewIFD                           Nikon PreviewIFD
+                                                Nikon PreviewIFD
+  0x0040   RawDataByteOrder                     yes
+  0x0041   WhiteBalanceSetup                    int32u
+  0x0043   CameraTemperature                    rational64s
+  0x0050   RawDataCFAPattern                    yes
+  0x0100   FaceDetect                           int16u
+  0x0120   FaceRecognition                      int32u
+  0x0123   FaceName                             string
+  0xa001   FirmwareName                         string
+  0xa002   SerialNumber                         string
+  0xa003   LensType                             int16u[n]
+  0xa004   LensFirmware                         string
+  0xa005   InternalLensSerialNumber             string
+  0xa010   SensorAreas                          int32u[8]
+  0xa011   ColorSpace                           int16u
+  0xa012   SmartRange                           int16u
+  0xa013   ExposureCompensation                 rational64s
+  0xa014   ISO                                  int32u
+  0xa018   ExposureTime                         rational64u
+  0xa019   FNumber                              rational64u
+  0xa01a   FocalLengthIn35mmFormat              int32u
+  0xa020   EncryptionKey                        int32u[11]!
+  0xa021   WB_RGGBLevelsUncorrected             int32u[4]
+  0xa022   WB_RGGBLevelsAuto                    int32u[4]
+  0xa023   WB_RGGBLevelsIlluminator1            int32u[4]
+  0xa024   WB_RGGBLevelsIlluminator2            int32u[4]
+  0xa025   HighlightLinearityLimit              int32u
+  0xa028   WB_RGGBLevelsBlack                   int32s[4]
+  0xa030   ColorMatrix                          int32s[9]
+  0xa031   ColorMatrixSRGB                      int32s[9]
+  0xa032   ColorMatrixAdobeRGB                  int32s[9]
+  0xa033   CbCrMatrixDefault                    int32s[4]
+  0xa034   CbCrMatrix                           int32s[4]
+  0xa035   CbCrGainDefault                      int32u[2]
+  0xa036   CbCrGain                             int32u[2]
+  0xa040   ToneCurveSRGBDefault                 int32u[23]
+  0xa041   ToneCurveAdobeRGBDefault             int32u[23]
+  0xa042   ToneCurveSRGB                        int32u[23]
+  0xa043   ToneCurveAdobeRGB                    int32u[23]
+  0xa048   RawData?                             int32s[12]
+  0xa050   Distortion?                          int32s[8]
+  0xa051   ChromaticAberration?                 int16u[22]
+  0xa052   Vignetting?                          int16u[15]
+  0xa053   VignettingCorrection?                int16u[15]
+  0xa054   VignettingSetting?                   int16u[15]
+
+=head3 Samsung OrientationInfo Tags
+
+Camera orientation information written by the Gear 360 (SM-C200).
+
+  Index8   Tag Name                             Writable
+  ------   --------                             --------
+      0    YawAngle?                            rational64s
+      1    PitchAngle                           rational64s
+      2    RollAngle                            rational64s
+
+=head3 Samsung PictureWizard Tags
+
+  Index2   Tag Name                             Writable
+  ------   --------                             --------
+      0    PictureWizardMode                    int16u
+      1    PictureWizardColor                   int16u
+      2    PictureWizardSaturation              int16u
+      3    PictureWizardSharpness               int16u
+      4    PictureWizardContrast                int16u
+
+=head3 Samsung APP5 Tags
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'ssuniqueid'         UniqueID                 no
+
+=head3 Samsung Trailer Tags
+
+Tags extracted from the trailer of JPEG images written when using certain
+features (such as "Sound & Shot" or "Shot & More") from Samsung models such
+as the Galaxy S4 and Tab S.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  DepthMapData                                  no
+  DepthMapName                                  no
+  DualCameraImage                               no
+  DualCameraImageName                           no
+  DualShotExtra                                 Samsung DualShotExtra
+  EmbeddedAudioFile                             no
+  EmbeddedAudioFileName                         no
+  EmbeddedImage                                 no
+  EmbeddedImageName                             no
+  EmbeddedVideoFile                             no
+  EmbeddedVideoType                             no
+  SingleShotDepthMap                            no
+  SingleShotMeta                                Samsung SingleShotMeta
+  SurroundShotVideo                             no
+  SurroundShotVideoName                         no
+  TimeStamp                                     no
+
+=head3 Samsung DualShotExtra Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+     16    DepthMapWidth                        no
+     17    DepthMapHeight                       no
+
+=head3 Samsung SingleShotMeta Tags
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'beautyColorLevel'   BeautyColorLevel         no
+  'beautyRetouchLevel' BeautyRetouchLevel       no
+  'blurStrength'       BlurStrength             no
+  'bokehShape'         BokehShape               no
+  'colorpopStrength'   ColorpopStrength         no
+  'depthHWHeight'      DepthHWHeight            no
+  'depthHWWidth'       DepthHWWidth             no
+  'depthSWHeight'      DepthSWHeight            no
+  'depthSWWidth'       DepthSWWidth             no
+  'deviceOrientation'  DeviceOrientation        no
+  'effectStrength'     EffectStrength           no
+  'effectType'         EffectType               no
+  'flipStatus'         FlipStatus               no
+  'inputHeight'        InputHeight              no
+  'inputWidth'         InputWidth               no
+  'isArtBokeh'         IsArtBokeh               no
+  'lensFacing'         LensFacing               no
+  'monoStrength'       MonoStrength             no
+  'objectOrientation'  ObjectOrientation        no
+  'outputHeight'       OutputHeight             no
+  'outputWidth'        OutputWidth              no
+  'perfMode'           PerfMode                 no
+  'segHeight'          SegHeight                no
+  'segWidth'           SegWidth                 no
+  'sidelightStrength'  SidelightStrength        no
+  'spinStrength'       SpinStrength             no
+  'vintageStrength'    VintageStrength          no
+  'zoomStrength'       ZoomStrength             no
+
+=head3 Samsung sec Tags
+
+This information is found in the @sec atom of Samsung MP4 videos from models
+such as the WB30F.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     32    Model                                no
+    512    ThumbnailWidth                       no
+    516    ThumbnailHeight                      no
+    520    ThumbnailLength                      no
+    524    ThumbnailImage                       no
+
+=head3 Samsung INFO Tags
+
+This information is found in MP4 videos from Samsung models such as the
+SMX-C20N.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'EFCT'   Effect                               no
+  'QLTY'   Quality                              no
+
+=head3 Samsung MP4 Tags
+
+This information is found in Samsung MP4 videos from models such as the
+WP10.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    Make                                 no
+     24    Model                                no
+     46    ExposureTime                         no
+     50    FNumber                              no
+     58    ExposureCompensation                 no
+    106    ISO                                  no
+    125    Software                             no
+    244    Thumbnail                            Samsung Thumbnail
+
+=head3 Samsung Thumbnail Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      1    ThumbnailWidth                       no
+      2    ThumbnailHeight                      no
+      3    ThumbnailLength                      no
+      4    ThumbnailOffset                      no
+
+=head3 Samsung smta Tags
+
+This information is found in the smta atom of Samsung MP4 videos from models
+such as the Galaxy S4.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'svss'   SamsungSvss                          Samsung svss
+
+=head3 Samsung svss Tags
+
+This information is found in the svss atom of Samsung MP4 videos from models
+such as the Galaxy S4.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  [no tags known]
+
+=head2 Ricoh Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0001   MakerNoteType                        string
+  0x0002   FirmwareVersion                      string
+  0x0005   SerialNumber                         undef[16]
+           InternalSerialNumber                 undef[16]
+  0x0e00   PrintIM                              PrintIM
+  0x1000   RecordingFormat                      int16u
+  0x1001   ImageInfo                            Ricoh ImageInfo
+           ExposureProgram                      int16u
+  0x1002   DriveMode                            int16u
+  0x1003   Sharpness                            int32u
+           WhiteBalance                         int16u
+  0x1004   WhiteBalanceFineTune                 int16u
+  0x1006   FocusMode                            int16u
+  0x1007   AutoBracketing                       int16u
+  0x1009   MacroMode                            int16u
+  0x100a   FlashMode                            int16u
+  0x100b   FlashExposureComp                    rational64s
+  0x100c   ManualFlashOutput                    rational64s
+  0x100d   FullPressSnap                        int16u
+  0x100e   DynamicRangeExpansion                int16u
+  0x100f   NoiseReduction                       int16u
+  0x1010   ImageEffects                         int16u
+  0x1011   Vignetting                           int16u
+  0x1012   Contrast                             int32u
+  0x1013   Saturation                           int32u
+  0x1014   Sharpness                            int32u
+  0x1015   ToningEffect                         int16u
+  0x1016   HueAdjust                            int16u
+  0x1017   WideAdapter                          int16u
+  0x1018   CropMode                             int16u
+  0x1019   NDFilter                             int16u
+  0x101a   WBBracketShotNumber                  int16u
+  0x1200   AFStatus                             int16u
+  0x1201   AFAreaXPosition1                     int32u
+  0x1202   AFAreaYPosition1                     int32u
+  0x1203   AFAreaXPosition                      int32u
+  0x1204   AFAreaYPosition                      int32u
+  0x1205   AFAreaMode                           int16u
+  0x1307   ColorTempKelvin                      int32u
+  0x1308   ColorTemperature                     int32u
+  0x1500   FocalLength                          rational64u
+  0x1601   SensorWidth                          int32u
+  0x1602   SensorHeight                         int32u
+  0x1603   CroppedImageWidth                    int32u
+  0x1604   CroppedImageHeight                   int32u
+  0x2001   RicohSubdir                          Ricoh Subdir
+           RicohSubdirIFD                       Ricoh Subdir
+           RicohRR1Subdir                       Ricoh Subdir
+  0x4001   ThetaSubdir                          Ricoh ThetaSubdir
+
+=head3 Ricoh ImageInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    RicohImageWidth                      int16u
+      2    RicohImageHeight                     int16u
+      6    RicohDate                            int8u[7]
+     28    PreviewImageStart                    int16u*
+     30    PreviewImageLength                   int16u*
+     32    FlashMode                            int8u
+     33    Macro                                int8u
+     34    Sharpness                            int8u
+     38    WhiteBalance                         int8u
+     39    ISOSetting                           int8u
+     40    Saturation                           int8u
+
+=head3 Ricoh Subdir Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0004   ManufactureDate1                     string[20]
+  0x0005   ManufactureDate2                     string[20]
+  0x001a   FaceInfo                             Ricoh FaceInfo
+  0x0029   FirmwareInfo                         Ricoh FirmwareInfo
+  0x002a   NoiseReduction                       int32u
+  0x002c   SerialInfo                           Ricoh SerialInfo
+
+=head3 Ricoh FaceInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+    181    FacesDetected                        int8u
+    182    FaceDetectFrameSize                  int16u[2]
+    188    Face1Position                        int16u[4]
+    200    Face2Position                        int16u[4]
+    212    Face3Position                        int16u[4]
+    224    Face4Position                        int16u[4]
+    236    Face5Position                        int16u[4]
+    248    Face6Position                        int16u[4]
+    260    Face7Position                        int16u[4]
+    272    Face8Position                        int16u[4]
+
+=head3 Ricoh FirmwareInfo Tags
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    FirmwareRevision                     string[12]
+     12    FirmwareRevision2                    string[12]
+
+=head3 Ricoh SerialInfo Tags
+
+This information is found in images from the GXR.
+
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      0    BodyFirmware                         string[16]
+     16    BodySerialNumber                     string[16]
+     32    LensFirmware                         string[16]
+     48    LensSerialNumber                     string[16]
+
+=head3 Ricoh ThetaSubdir Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0003   Accelerometer                        rational64s[2]
+  0x0004   Compass                              rational64u
+  0x000a   TimeZone                             string
+
+=head3 Ricoh Type2 Tags
+
+Tags written by models such as the Ricoh HZ15 and the Pentax XG-1.  These
+are not writable due to numerous formatting errors as written by these
+cameras.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  0x0207   RicohModel                           no
+  0x0300   RicohMake                            no
+
+=head3 Ricoh Text Tags
+
+Some Ricoh DC and RDC models use a text-based format for their maker notes
+instead of the IFD format used by the Caplio models.  Below is a list of known
+tags in this information.
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'Bg'     BlueGain                             no
+  'Gg'     GreenGain                            no
+  'Rev'    FirmwareVersion                      no
+  'Rg'     RedGain                              no
+  'Rv'     FirmwareVersion                      no
+
+=head3 Ricoh RMETA Tags
+
+The Ricoh Caplio Pro G3 has the ability to add custom fields to the APP5
+"RMETA" segment of JPEG images.  While only a few observed tags have been
+defined below, ExifTool will extract any information found here.
+
+  Tag ID               Tag Name                 Writable
+  ------               --------                 --------
+  'Azimuth'            Azimuth                  no
+  'Condition'          Condition                no
+  'Lit'                Lit                      no
+  'Location'           Location                 no
+  'Sign type'          SignType                 no
+  '_audio'             SoundFile                no
+  '_barcode'           Barcodes                 no+
+
+=head3 Ricoh AVI Tags
+
+  Tag ID   Tag Name                             Writable
+  ------   --------                             --------
+  'mnrt'   MakerNoteRicoh                       Ricoh
+  'rdc2'   RicohRDC2?                           no
+  'thum'   ThumbnailImage                       no
+  'ucmt'   Comment                              no
 
 =head2 Sigma Tags
 
-These tags are used in Sigma/Foveon cameras.
+These tags are written by Sigma/Foveon cameras.  In the early days Sigma was
+a class leader by releasing their maker note specification to the public,
+but since then they have deviated from this standard and newer camera models
+are less than consistent about their metadata formats.
 
   Tag ID   Tag Name                             Writable
@@ -9774,10 +17360,21 @@
            LuminanceNoiseReduction              string
   0x001c   PreviewImageSize                     int16u[2]
+           PreviewImageStart                    int32u*
   0x001d   MakerNoteVersion                     undef
+           PreviewImageLength                   int32u*
+  0x001e   PreviewImageSize                     int16u[2]
   0x001f   AFPoint                              string
+           MakerNoteVersion                     undef
   0x0022   FileFormat                           string
   0x0024   Calibration                          string
+  0x0026   FileFormat                           string
+  0x0027   LensType                             string
+           LensType                             -
+                                                Sigma LensType
+  0x002a   LensFocalRange                       rational64u[2]
+  0x002b   LensMaxApertureRange                 rational64u[2]
   0x002c   ColorMode                            int32u
   0x0030   LensApertureRange                    string
+           Calibration                          string
   0x0031   FNumber                              rational64u
   0x0032   ExposureTime                         rational64u
@@ -9790,15 +17387,67 @@
   0x003c   WhiteBalance                         string
   0x003d   PictureMode                          string
+  0x0048   LensApertureRange                    string
+  0x0049   FNumber                              rational64u
+  0x004a   ExposureTime                         rational64u
+  0x004b   ExposureTime2                        string
+  0x004d   ExposureCompensation                 rational64s
+  0x0055   SensorTemperature                    string
+  0x0056   FlashExposureComp                    rational64s
+  0x0057   Firmware2                            string
+  0x0058   WhiteBalance                         string
+  0x0059   DigitalFilter                        string
+  0x0084   Model                                string
+  0x0086   ISO                                  int16u
+  0x0087   ResolutionMode                       string
+  0x0088   WhiteBalance                         string
+  0x008c   Firmware                             string
+  0x011f   CameraCalibration                    float[9]
+  0x0120   WBSettings                           Sigma WBSettings
+  0x0121   WBSettings2                          Sigma WBSettings2
+
+=head3 Sigma WBSettings Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    WB_RGBLevelsAuto                     float[3]
+      3    WB_RGBLevelsDaylight                 float[3]
+      6    WB_RGBLevelsShade                    float[3]
+      9    WB_RGBLevelsOvercast                 float[3]
+     12    WB_RGBLevelsIncandescent             float[3]
+     15    WB_RGBLevelsFluorescent              float[3]
+     18    WB_RGBLevelsFlash                    float[3]
+     21    WB_RGBLevelsCustom1                  float[3]
+     24    WB_RGBLevelsCustom2                  float[3]
+     27    WB_RGBLevelsCustom3                  float[3]
+
+=head3 Sigma WBSettings2 Tags
+
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    WB_RGBLevelsUnknown0?                float[3]
+      3    WB_RGBLevelsUnknown1?                float[3]
+      6    WB_RGBLevelsUnknown2?                float[3]
+      9    WB_RGBLevelsUnknown3?                float[3]
+     12    WB_RGBLevelsUnknown4?                float[3]
+     15    WB_RGBLevelsUnknown5?                float[3]
+     18    WB_RGBLevelsUnknown6?                float[3]
+     21    WB_RGBLevelsUnknown7?                float[3]
+     24    WB_RGBLevelsUnknown8?                float[3]
+     27    WB_RGBLevelsUnknown9?                float[3]
 
 =head2 Sony Tags
 
-The maker notes in images from most recent Sony camera models contain a
-wealth of information, but for some models very little has been decoded. 
-Use the ExifTool Unknown (-u) or Verbose (-v) options to see information
-about the unknown tags.  Also see the Minolta tags which are used by some
-Sony models.
+The following information has been decoded from the MakerNotes of Sony
+cameras.  Some of these tags have been inherited from the Minolta
+MakerNotes.
 
   Tag ID   Tag Name                             Writable
   ------   --------                             --------
+  0x0010   CameraInfo                           Sony CameraInfo
+           CameraInfo2                          Sony CameraInfo2
+           CameraInfo3                          Sony CameraInfo3
+           CameraInfoUnknown                    Sony CameraInfoUnknown
+  0x0020   FocusInfo                            Sony FocusInfo
+           MoreInfo                             Sony MoreInfo
   0x0102   Quality                              int32u
   0x0104   FlashExposureComp                    rational64s
@@ -9807,6 +17456,10 @@
   0x0114   CameraSettings                       Sony CameraSettings
            CameraSettings2                      Sony CameraSettings2
+           CameraSettings3                      Sony CameraSettings3
            CameraSettingsUnknown                Sony CameraSettingsUnknown
   0x0115   WhiteBalance                         int32u
+  0x0116   ExtraInfo                            Sony ExtraInfo
+           ExtraInfo2                           Sony ExtraInfo2
+           ExtraInfo3                           Sony ExtraInfo3
   0x0e00   PrintIM                              PrintIM
   0x1000   MultiBurstMode                       undef
@@ -9815,4 +17468,5 @@
   0x1003   Panorama                             Sony Panorama
   0x2001   PreviewImage                         undef
+  0x2002   Rating                               int32u
   0x2004   Contrast                             int32s
   0x2005   Saturation                           int32s
@@ -9823,8 +17477,66 @@
   0x200a   HDR                                  int32u
   0x200b   MultiFrameNoiseReduction             int32u
+  0x200e   PictureEffect                        int16u
+  0x200f   SoftSkinEffect                       int32u
+  0x2010   Tag2010a                             Sony Tag2010a
+           Tag2010b                             Sony Tag2010b
+           Tag2010c                             Sony Tag2010c
+           Tag2010d                             Sony Tag2010d
+           Tag2010e                             Sony Tag2010e
+           Tag2010f                             Sony Tag2010f
+           Tag2010g                             Sony Tag2010g
+           Tag2010h                             Sony Tag2010h
+           Tag2010i                             Sony Tag2010i
+  0x2011   VignettingCorrection                 int32u
+  0x2012   LateralChromaticAberration           int32u
+  0x2013   DistortionCorrectionSetting          int32u
+  0x2014   WBShiftAB_GM                         int32s[2]
+  0x2016   AutoPortraitFramed                   int16u
+  0x2017   FlashAction                          int32u
+  0x201a   ElectronicFrontCurtainShutter        int32u
+  0x201b   FocusMode                            int8u
+  0x201c   AFAreaModeSetting                    int8u
+  0x201d   FlexibleSpotPosition                 int16u[2]
+  0x201e   AFPointSelected                      int8u
+  0x2020   AFPointsUsed                         no
+  0x2021   AFTracking                           int8u
+  0x2022   FocalPlaneAFPointsUsed               no
+  0x2023   MultiFrameNREffect                   int32u
+  0x2026   WBShiftAB_GM_Precise                 int32s[2]~
+  0x2027   FocusLocation                        int16u[4]
+  0x2028   VariableLowPassFilter                int16u[2]
+  0x2029   RAWFileType                          int16u
+  0x202a   Tag202a                              Sony Tag202a
+  0x202b   PrioritySetInAWB                     int8u
+  0x202c   MeteringMode2                        int16u
+  0x202d   ExposureStandardAdjustment           rational64s
+  0x202e   Quality                              int16u[2]
+  0x202f   PixelShiftInfo                       undef
+  0x2031   SerialNumber                         string
   0x3000   ShotInfo                             Sony ShotInfo
+  0x900b   Tag900b                              Sony Tag900b
+  0x9050   Tag9050a                             Sony Tag9050a
+           Tag9050b                             Sony Tag9050b
+           Tag9050c                             Sony Tag9050c
+  0x9400   Tag9400a                             Sony Tag9400a
+           Tag9400b                             Sony Tag9400b
+           Tag9400c                             Sony Tag9400c
+  0x9401   Tag9401                              Sony Tag9401
+  0x9402   Tag9402                              Sony Tag9402
+  0x9403   Tag9403                              Sony Tag9403
+  0x9404   Tag9404a                             Sony Tag9404a
+           Tag9404b                             Sony Tag9404b
+           Tag9404c                             Sony Tag9404c
+  0x9405   Tag9405a                             Sony Tag9405a
+           Tag9405b                             Sony Tag9405b
+  0x9406   Tag9406                              Sony Tag9406
+  0x940a   Tag940a                              Sony Tag940a
+  0x940c   Tag940c                              Sony Tag940c
+  0x940e   AFInfo                               Sony AFInfo
+           Tag940e                              Sony Tag940e
+  0x9416   Sony_0x9416                          Sony Tag9416
   0xb000   FileFormat                           int8u[4]
   0xb001   SonyModelID                          int16u
-  0xb020   ColorReproduction                    string
+  0xb020   CreativeStyle                        string
   0xb021   ColorTemperature                     int32u
   0xb022   ColorCompensationFilter              int32u
@@ -9836,4 +17548,5 @@
   0xb028   MinoltaMakerNote                     Minolta
   0xb029   ColorMode                            int32u
+  0xb02a   LensSpec                             int8u[8]
   0xb02b   FullImageSize                        int32u[2]
   0xb02c   PreviewImageSize                     int32u[2]
